uk.ac.starlink.parquet

## Class StarParquetWriter.StarBuilder

- java.lang.Object
- - <any>
  - - uk.ac.starlink.parquet.StarParquetWriter.StarBuilder

- Enclosing class:
    StarParquetWriter

      public static class StarParquetWriter.StarBuilder
      extends <any>

  Used to configure and produce a ParquetWriter for StarTable output.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StarBuilder(StarTable table, OutputFile ofile)` Constructor based on a parquet OutputFile.
    `StarBuilder(StarTable table, Path path)` Constructor based on a hadoop Path.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StarTable` | `getTable()` Returns the table that this writer will write.
    `<any>` | `getWriteSupport(Configuration config)`
    `StarParquetWriter.StarBuilder` | `self()`
    `StarParquetWriter.StarBuilder` | `withGroupArray(boolean groupArray)` Configures array-valued column writing style.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StarBuilder

          public StarBuilder(StarTable table,
                             Path path)

      Constructor based on a hadoop Path.
      Parameters:
        `table` - table to write
        `path` - destination path

    - #### StarBuilder

          public StarBuilder(StarTable table,
                             OutputFile ofile)

      Constructor based on a parquet OutputFile.
      Parameters:
        `table` - table to write
        `ofile` - destination file

  - ### Method Detail

    - #### getTable

          public StarTable getTable()

      Returns the table that this writer will write.
      Returns:
        table

    - #### withGroupArray

          public StarParquetWriter.StarBuilder withGroupArray(boolean groupArray)

      Configures array-valued column writing style.
      Parameters:
        `groupArray` - true for group-style arrays, false for repeated primitives

    - #### self

          public StarParquetWriter.StarBuilder self()

    - #### getWriteSupport

          public <any> getWriteSupport(Configuration config)